#ifndef HUD_H
#define HUD_H

#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include "SDL.h"

#define SCREEN_WIDTH  640
#define SCREEN_HEIGHT 480
#define SCREEN_BPP     16

class Hud {
 public:
  typedef struct {
    GLubyte *imageData;	// Image Data
    GLuint bpp;		// Image bits per pixel.
    GLuint width;	// Image width
    GLuint height;	// Image height
    GLuint texID;	// Texture ID
  } TextureImage;
  Hud ();
  ~Hud ();
  bool LoadTGA(TextureImage *texture, char *filename);
  GLvoid BuildFont(GLvoid);
  GLvoid KillFont(GLvoid);
  GLvoid glPrint(GLint x, GLint y, int set, const char *fmt, ...);
  void Resize(int width, int height);
  int InitGL();
  void handleKeyPress(SDL_keysym *keysym);
  void DrawGLScene();
  int main( int argc, char **argv );
  SDL_Surface* surface;
  int scroll;
  int maxtokens;
  int swidth;
  int sheight;
  int scroller;
  GLuint base;
  TextureImage textures[1];
};


#endif
